# -- debian packaging -------

get_target_property(LIBFRAMEL_SOVERSION framel SOVERSION)

# get date string for debian/changelog
string(TIMESTAMP DEBIAN_DATE "%a, %d %b %Y %H:%M:%S +0000" UTC)

# debian/control
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/control.in
    ${CMAKE_CURRENT_SOURCE_DIR}/control
    @ONLY
)

# debian/changelog
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/changelog.in
    ${CMAKE_CURRENT_SOURCE_DIR}/changelog
    @ONLY
)

# debian/libframeX.install
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/libframel.install.in
    ${CMAKE_CURRENT_SOURCE_DIR}/libframel${LIBFRAMEL_SOVERSION}.install
    @ONLY
)
